import java.io.*;
import java.util.*;

public class gen_test {
	public static void main(String[] args) throws IOException {
		Random rand = new Random(230108);
		int maxLen = 200000;
		PrintWriter out = new PrintWriter(new File("20"));
		for (int i = 0; i < maxLen; i++) {
			out.print("z");
		}
		out.println();
		out.close();

		out = new PrintWriter(new File("21"));
		for (int i = 0; i < maxLen; i++) {
			out.print("a");
		}
		out.println();
		out.close();

		out = new PrintWriter(new File("22"));
		for (int i = 0; i < maxLen / 2; i++) {
			out.print("z");
		}
		for (int i = 0; i < maxLen / 2; i++) {
			out.print("a");
		}
		out.println();
		out.close();

		out = new PrintWriter(new File("23"));
		for (int i = 0; i < maxLen; i++) {
			out.print("j");
		}
		out.println();
		out.close();

		for (int k = 24; k <= 30; k++) {
			out = new PrintWriter(new File(k + ""));
			for (int i = 0; i < maxLen; i++) {
				out.print((char)('a' + rand.nextInt(26)));
			}
			out.println();
			out.close();
		}
		for (int k = 31; k <= 33; k++) {
			out = new PrintWriter(new File(k + ""));
			out.print("a");
			for (int i = 0; i < maxLen - 2; i++) {
				out.print((char)('b' + rand.nextInt(24)));
			}
			out.print("z");
			out.println();
			out.close();
		}
		for (int k = 34; k <= 35; k++) {
			out = new PrintWriter(new File(k + ""));
			out.print("z");
			for (int i = 0; i < maxLen - 2; i++) {
				out.print((char)('b' + rand.nextInt(24)));
			}
			out.print("a");
			out.println();
			out.close();
		}
		

		
	}

}